use OS2::REXX;
$vrexx = DynaLoader::dl_load_file("h:/rexx/VREXX.DLL") or die "load";
$vinit   = DynaLoader::dl_find_symbol($vrexx, "VINIT")   or die "find vinit";
$vexit   = DynaLoader::dl_find_symbol($vrexx, "VEXIT")   or die "find vexit";
$vmsgbox = DynaLoader::dl_find_symbol($vrexx, "VMSGBOX") or die "find vmsgbox";
$vversion= DynaLoader::dl_find_symbol($vrexx, "VGETVERSION") or die "find vgetversion";

$result = OS2::REXX::_call("VInit", $vinit) or die "VInit";
warn "VInit: $result\n";

OS2::REXX::_set("MBOX.0" => 4,
	        "MBOX.1" => "Perl VREXX Access Test",
	        "MBOX.2" => "",
	        "MBOX.3" => "(C) Andreas Kaiser",
	        "MBOX.4" => "December 1994")
	or die "set var";

$result = OS2::REXX::_call("VGetVersion", $vversion) or die "VMsgBox";
warn "VGetVersion: $result\n";

$result = OS2::REXX::_call("VMsgBox", $vmsgbox, "", "Perl", "MBOX", 1) or die "VMsgBox";
warn "VMsgBox: $result\n";

OS2::REXX::_call("VExit", $vexit);




